/**
 * 
 */
package org.springblade.modules.system.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.Getter;

/**
 * @author wookvn
 * 
 * 	函数类型
 *
 *	0-数据库自带函数,1-自定义解析函数
 */
@Getter
public enum FunctionTypeEnum {

	system(0, "数据库自带函数"),
	
	custom(1, "自定义解析函数");
	
	@EnumValue
	private int value;
	private String message;
	
	/**
	 * @param value
	 * @param message
	 */
	private FunctionTypeEnum(int value, String message) {
		this.value = value;
		this.message = message;
	}
	
}
